using System;

class Program {
  struct Ekskurzija{
    public int brUcenika;
    public int brBananica;
    public int brGrupa;
  }
  public static void Main () {
    int T = int.Parse(Console.ReadLine());
    Ekskurzija[] niz = new Ekskurzija[T];
    string[] red;
    for(int i = 0; i<T; i++){
      red = Console.ReadLine().Split();
      niz[i].brUcenika = int.Parse(red[0]);
      niz[i].brBananica = int.Parse(red[1]);
      niz[i].brGrupa = int.Parse(red[2]);
    }
    for(int i = 0; i<T; i++){
      if(niz[i].brUcenika < niz[i].brGrupa){
        Console.WriteLine("Nie");
      }
      else if(niz[i].brUcenika == niz[i].brGrupa){
        if(niz[i].brBananica < niz[i].brUcenika) Console.WriteLine("Nie");
        else Console.WriteLine("Tak");
      }
      else{
        int[] grupe = new int[niz[i].brGrupa];
        //grupe je niz brojeva ucenika u grupama.
        //npr. za 5 ucenika u 2 grupe, grupe = {1, 4}
        grupe[grupe.Length - 1] = niz[i].brUcenika;
        for(int j = 0; j<grupe.Length - 1; j++){
          grupe[j] = 1;
          grupe[grupe.Length - 1]--;
        }
        int zbir = 0;
        for(int j = 0; j<grupe.Length; j++){
          while(grupe[j] > 0){
            zbir += grupe[j];
            grupe[j]--;
          }
        }
        if(zbir > niz[i].brBananica) Console.WriteLine("Nie");
        else Console.WriteLine("Tak");
      }
    }
  }
}